version: '3'

services:
  jupyterlab:
    build: ./jupyLab
    ports:
      - 8888:8888
    volumes:
      - ./data/jupyLab:/home/jovyan/work/
    environment:
      JUPYTER_ENABLE_LAB: "yes"
      JUPYTER_TOKEN: "fhdw" 
      RESTARTABLE: "yes" 
    depends_on: 
      - mariadb 

  influxdb:
    image: influxdb
    ports:
      - 8086:8086
    environment:
      DOCKER_INFLUXDB_INIT_MODE: "setup"
      DOCKER_INFLUXDB_INIT_USERNAME: "admin"
      DOCKER_INFLUXDB_INIT_PASSWORD: "Wetter123!"
      DOCKER_INFLUXDB_INIT_ORG: "test-org"
      DOCKER_INFLUXDB_INIT_BUCKET: "test-bucked"
    volumes:
      - ./data/influxdb/data:/var/lib/influxdb2
      - ./data/influxdb/config:/etc/influxdb2